Skip to content

List Deployments

GET
/api/v1/deployments
curl --request GET \
--url 'https://example.com/api/v1/deployments?skip=0&limit=50'

List deployments.

skip
Skip
integer
0
limit
Limit
integer
default: 50 >= 1 <= 200
X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
DeploymentListResponse

List of deployments.

object
deployments
required
Deployments

List of deployments

Array<object>
DeploymentResponse

Deployment response.

object
id
required
Id

Deployment ID

string
git_repository
required
Git Repository

Git repository name

string
branch
required
Branch

Git branch

string
commit_sha
Any of:
string
status
required
DeploymentStatus

Deployment status

string
Allowed values: pending running success failed partial_success cancelled
file_pattern
Any of:
string
variables
Any of:
object
key
additional properties
Any of:
string
on_error
required
On Error

Error handling behavior

string
description
Any of:
string
created_at
required
Created At

Creation timestamp

string format: date-time
started_at
Any of:
string format: date-time
completed_at
Any of:
string format: date-time
created_by
Any of:
string
total
required
Total

Total number of deployments

integer
Example
{
"deployments": [
{
"status": "pending"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}